Vraag & Antwoord

OS Linux

Slackware 10.2 is uit :-)

19 antwoorden
  • The newest release of Slackware, version 10.2, is available now. As always, thanks to all the people who helped make this release possible. Slackware 10.2 includes the Linux 2.4.31 kernel, with Linux 2.6.13 available in the /testing directory. For the first time, a 2.6 kernel with support for SCSI, RAID, and SATA is offered as a boot option in the installer (called "test26.s"). Slackware 10.2 also sports a new revision of glibc (2.3.5) with NPTL support for improved thread performance when using a kernel with NPTL support, the latest KDE 3.4.2 and XFce 4.2.2 desktop environments, updated development tools, and new additions like SASL support in sendmail, the Subversion version control system, the Firefox browser, and the Thunderbird email and news client. For a complete list of changes since Slackware 10.1, check out the Slackware 10.2 ChangeLog. Read the official announcement here. To order the official release of Slackware or other Slackware products (and help support the Slackware project), visit the Slackware store. ISO images are available through BitTorrent here. A list of mirrors that are likely to be among the first offering the 10.2 release may be found here. Thanks again to the unofficial mirror admins and my friends on irc.oftc.net for helping with the BitTorrents! Have fun! :-) Pat
  • Ik had eigenlijk verwacht dat de Linux 2.6.x kernel de default zou worden in Slackware. Ik heb cd1 en cd2 inmiddels gedownload, en geïnstalleerd. Die test26.s als boot option heb ik geprobeerd. Dan wordt inderdaad kernel 2.6.13 geïnstalleerd. Maar dan wel in combinatie met de 2.4.31 kernel-source/modules. En dat terwijl de boot option linux26 bij Debian 3.1 wel goed werkt. Ik heb dan maar even voor Slackware 10.2 de 2.6.13.1 kernel-source gedownload, uitgepakt en gecompileerd/geïnstalleerd. Dan werkt het wel.
  • Die kun je toch ook gewoon uit testing halen?
  • De benodigde packages voor de 2.6.13 kernel-source/modules blijken gewoon op Slackware cd1 te staan, in de map [b:70d8908ed8] linux-2.6.13 [/b:70d8908ed8] maar worden zo te zien niet geïnstalleerd, in een Slackware Full installation.
  • Aangezien ik Slack altijd rsync (-current en -stable) heb ik de huidige opbouw van de ISOs nog helemaal niet gezien. Ben ze nu wel voor m'n vriendin aan het torrenten. De CD set zal over twee of drie week wel op de mat belanden. De changelogs gaven al aan dat de modules niet in de distributie zelf zouden zitten, en Pat heeft het volgens de release notes voornamelijk toegevoegd zodat mensen met heel erg nieuwe SATA controllers Slack ook kunnen installeren. De volgende versie (11.0) zal iig 2.6-gebaseerd zijn. Misschien ook tijd voor een AMD64 port? ;) (Even tussendoor en offtopic: had iemand al gezien dat CodeWeavers nu tijdelijk 6 maand extra geeft bij een support/downloadextentie? Aangezien die van mij afgelopen was heb ik er nu dus maar in 1 keer 1.5 jaar erbij gepleurd :).)
  • Slackware 10.2 is uit en overal lees ik dat gezeur over kernel 2.6 :-? Nogmaals het installeren van deze kernel is een fluitje van een cent, hij staat zelfs op de CD :D
  • [quote:418839b8f1="m3ssi4h"]Slackware 10.2 is uit en overal lees ik dat gezeur over kernel 2.6 :-? Nogmaals het installeren van deze kernel is een fluitje van een cent, hij staat zelfs op de CD :D[/quote:418839b8f1] Idd, je kunt zelfs Pat's kernel config overplakken ;).
  • Even als niet-slacker.... ik geloof dat kernel2.6 langzaamaan wel default wordt. Maw hij is geaccepteerd. Ik draai um nu alweer 4 maanden op mn server. Misschien gaat het hetzelfde als met selinux. Draai ik nu ook al weer even. Na wat updates gaat ook dat prima. Of gaan nu oude wonden open :wink: ? Ietwat offtopic ej...
  • [quote:efac17b1b6="MrLeeJohn"]Even als niet-slacker.... ik geloof dat kernel2.6 langzaamaan wel default wordt. Maw hij is geaccepteerd.[/quote:efac17b1b6] Met name de ACPI/APIC support levert nogal wel eens problemen. Gelukkig kun je dat uitzetten. [quote:efac17b1b6]Ik draai um nu alweer 4 maanden op mn server. Misschien gaat het hetzelfde als met selinux. Draai ik nu ook al weer even. Na wat updates gaat ook dat prima. Of gaan nu oude wonden open :wink: ?[/quote:efac17b1b6] /me rent gillend weg.
  • Ik zie niet zo snel SELinux in Slackware komen ;) Nog even een vraagje Daniel, ik heb gehoord dat de volgende versie van Samba alleen maar op Linux machines kan draaien die gebruik maken van PAM weet jij daar meer over? Als dat namelijk zo is is dat best wel kl@t3 :(
  • [quote:33fe728676="m3ssi4h"]Ik zie niet zo snel SELinux in Slackware komen ;)[/quote:33fe728676] Het zit al in de kernel sources ;), maar niet staat niet aan, dat is waar. En geen libselinux meuk ;). [quote:33fe728676]Nog even een vraagje Daniel, ik heb gehoord dat de volgende versie van Samba alleen maar op Linux machines kan draaien die gebruik maken van PAM weet jij daar meer over? Als dat namelijk zo is is dat best wel kl@t3 :([/quote:33fe728676] De Samba 4 development sources compileren hier prima zonder PAM. Maar ongeacht of het nodig zal zijn voor Samba 4 of niet, het wordt wel eens tijd dat PAM geintegreerd wordt. Het is lang niet meer zo'n gatenkaas als een paar jaar geleden, en voor Samba, LDAP e.d. is het erg handig (alsmede voor authenticatie met USB tokens, smart-cards e.d.).
  • Commercialisering heeft als nadeel dat veel ontwikkeling geforceerd een richting in getrokken worden. Maar ook dat veel onrijpe producten rijp/stabiel gemaakt worden. Het gaat met sommige dingen heel hard.
  • Ik ben het met Daniel eens dat er nu maar eens PAM in Slackware moet komen, ik klaag al enige tijd hierover. Slackware is momenteel geloof ik de enige Linux distro zonder PAM en heel langzaam begint dat eerder een nadeel dan een voordeel te worden :( Hopelijk verandert Patrick nog eens van gedachten ;) http://www.linuxquestions.org/questions/history/332119 [code:1:2339bc3f38] Absence of PAM kills Slack Lack of PAM support is the one and only but very serious issue what could force me to switch to another distro in the near future. I know, Pat decided to not include it some time ago (2002,2003 ?) due to frequent security problems mostly not in PAM alone but in its plugin modules but hey, now is 2005 and much has changed and Linux-PAM proved as stable and secure. Security etalon in server-based distributions Debian is using it for a long time, f.E. FreeBSD is using it too. In network environments there is no alternative to PAM/LDAP for central user authentication. No, I meant secure alternative so NIS is absolutely inacceptable, although Pat it in yptools package bravely offers :confused: Additional benefit is a more fine grained authentication mechanism able to solve such security request achievable very difficult or even impossible to achieve by another resources. Pat is also almost in no contact with public so nobody exactly knows what should be expected in new release(s). It'd be sad if such polished distro bound with attributes "stable & secure" for such a long time lost it's potential in servers area and remain as another good desktop-only choice. __________________ "Simplicity is divine" Slackin' since 1999.[/code:1:2339bc3f38]
  • Het is trouwens wel mogelijk om vanaf CD1 rechtstreeks kernel 2.6 te installeren :) http://mirror.switch.ch/ftp/mirror/slackware/slackware-10.2/RELEASE_NOTES [code:1:e3dcf5f14f]Anyway, since there is hardware out there that requires a 2.6 kernel in order to install, this release of Slackware does have a 2.6.13 kernel that's integrated into the installer. To install using it, enter test26.s at the boot prompt after booting the first disc. This kernel has compiled-in support for essentially all of the hard drive controllers and filesystems that are supported by the 2.6.13 kernel, and should be helpful for people with new SATA controllers or other hardware that 2.4.31 doesn't support. This kernel doesn't have any built in network support and is primarily intended for installing from local media (although if you were to toss a few 2.6.13 modules on a floppy disk and load them from there it should work). Also, the kernel module packages for 2.6.13 are not part of the standard installation, so if you install using the test26.s kernel you'll have to install those packages when you're done. They can be found under testing/packages/linux-2.6.13/ (or ISO number two under /linux-2.6.13), the alsa-driver and kernel-modules packages. You might also consider installing the other packages there and building an initrd according to the instructions in README.initrd if you'd like to be running a slimmer kernel without a lot of unneeded drivers taking up RAM, or better yet, visit ftp.kernel.org in /pub/linux/kernel/v2.6/ and grab the latest version of the 2.6 kernel to build your own. It'll probably have some important fixes. [/code:1:e3dcf5f14f]
  • Dat kan al eeuwen ;) Ik installeer altijd direct 2.6. Je vinkt simpelweg tijdens de install kernel-ide, kernel-sources, alsa-driver en kernel-modules uit en kiest geen kernel. Vervolgens als de installer klaar is tik je: [code:1:afbe4a587c] mount /dev/hdx /mnt/mnt/cdrom mount -t proc /proc /mnt/proc chroot /mnt [/code:1:afbe4a587c] Dan kun je naar de map /mnt/cdrom/testing/packages/linux-versie (is sinds 10.2 misschien een andere map, staat nu immers ook op cd1 ipv cd2) gaan en kernel-generic, kernel-sources, alsa-driver en kernel-modules installpkg'en. Nu nog even je /etc/lilo.conf schrijven en lilo -v draaien en gelijk al bij de eerste boot van je nieuwe systeem wordt de 2.6 kernel gebruikt. Lekker belangrijk of je hem in de installer wel of niet kunt aanvinken.
  • Dat kan ook natuurlijk Marcel maar waarom moeilijk doen als het nu makkelijk kan :roll:
  • [quote:0717e609c2="m3ssi4h"]Dat kan ook natuurlijk Marcel maar waarom moeilijk doen als het nu makkelijk kan :roll:[/quote:0717e609c2] Omdat het nog steeds niet makkelijker kan ;) [quote:0717e609c2] Also, the kernel module packages for 2.6.13 [b:0717e609c2]are not part of the standard installation[/b:0717e609c2], so if you install using the test26.s kernel you'll have to install those packages when you're done. They can be found under testing/packages/linux-2.6.13/ (or ISO number two under /linux-2.6.13), the alsa-driver and kernel-modules packages.[/quote:0717e609c2]
  • Maar hoe doe je dat dan Marcel als je hardware niet kernel 2.4 herkend wordt (bijv. SATA)? Dan zul je toch met kernel 2.6 de installatie moeten starten en met jou methode installeer je alleen kernel 2.6 maar boot je met 2.4.
  • Dan boot je dus vanaf de installatiecd met 'test26.s'. Dat kon vroeger idd nog niet (dwz je moest zelf een nieuwe iso maken met de gewenste kernel), maar mbt het installeren van de 2.6 kernel is er niets veranderd sinds voorgaande releases, je moet nog steeds 'moeilijk doen'.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.